"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rest = require("node-rest-client");
/** This bolt sends GET request to specified url
 * and forwards the result.
 */
class GetBolt {
    constructor() {
        this.onEmit = null;
        this.fixed_url = null;
    }
    init(name, config, context, callback) {
        this.onEmit = config.onEmit;
        this.fixed_url = config.url;
        this.client = new rest.Client();
        callback();
    }
    heartbeat() {
        // no-op
    }
    shutdown(callback) {
        callback();
    }
    receive(data, stream_id, callback) {
        const url = this.fixed_url || data.url;
        const req = this.client.get(url, (new_data, response) => {
            this.onEmit({ body: new_data.toString() }, null, callback);
        });
        req.on("error", err => {
            callback(err);
        });
    }
}
exports.GetBolt = GetBolt;
//# sourceMappingURL=get_bolt.js.map